automation-suite
2024.10
false
- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs
- Get All Groups
- Get Specific Group
- Delete Specific Group
- Create a New Local Group
- Update Group

Automation Suite API guide
Last updated Feb 24, 2026
Delete Specific Group
Deletes the specified group in an organization, based on the organization and group ID.
API Endpoint
DELETE https://{yourDomain}/{organizationName}/identity_/api/Group/{partitionGlobalId}/{groupId}
Scopes
Requires the following scopes:
- PM.Group
- PM.Group.Write
Request Headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:
To obtain the {access_token}, make sure to authenticate through one of the methods described here.
Path Parameters
| Path param | Data type | Description |
|---|---|---|
partitionGlobalId (required) | String | The ID of the organization you want to delete the group from. |
groupId (required) | String | The ID of the group you want to delete. |
Responses
204 Success
The indicated group is deleted from the organization.
Example Request
Let's say you gathered all the information needed to build the API call.
- Your
{baseURL}is:https://{yourDomain}/{organizationName}/{tenantName}/ - Your
{access_token}is:1234(for length considerations). - The
{partitionGlobalId}is:magic-7 - The
{groupId}is:2512
The call should resemble the following example (cURL):
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/Group/magic-7/2512' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/Group/magic-7/2512' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'